|
||||||||||
| 上一个类 下一个类 | 框架 无框架 | |||||||||
| 摘要: 嵌套 | 字段 | 构造方法 | 方法 | 详细信息: 字段 | 构造方法 | 方法 | |||||||||
java.lang.Objectorg.springframework.context.support.ApplicationObjectSupport
org.springframework.web.context.support.WebApplicationObjectSupport
org.springframework.web.servlet.handler.AbstractHandlerMapping
org.springframework.web.servlet.handler.AbstractHandlerMethodMapping<org.springframework.web.servlet.mvc.method.RequestMappingInfo>
org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping
org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping
org.springframework.security.oauth2.provider.endpoint.FrameworkEndpointHandlerMapping
public class FrameworkEndpointHandlerMapping
A handler mapping for framework endpoints (those annotated with @FrameworkEndpoint).
| 字段摘要 |
|---|
| 从类 org.springframework.context.support.ApplicationObjectSupport 继承的字段 |
|---|
logger |
| 从接口 org.springframework.web.servlet.HandlerMapping 继承的字段 |
|---|
BEST_MATCHING_PATTERN_ATTRIBUTE, INTROSPECT_TYPE_LEVEL_MAPPING, PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE, PRODUCIBLE_MEDIA_TYPES_ATTRIBUTE, URI_TEMPLATE_VARIABLES_ATTRIBUTE |
| 从接口 org.springframework.core.Ordered 继承的字段 |
|---|
HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE |
| 构造方法摘要 | |
|---|---|
FrameworkEndpointHandlerMapping()
|
|
| 方法摘要 | |
|---|---|
protected org.springframework.web.servlet.mvc.method.RequestMappingInfo |
getMappingForMethod(Method method,
Class<?> handlerType)
|
protected boolean |
isHandler(Class<?> beanType)
Detects @FrameworkEndpoint annotations in handler beans. |
void |
setApprovalParameter(String approvalParameter)
The name of the request parameter that distinguishes a call to approve an authorization. |
void |
setMappings(Map<String,String> patternMap)
Custom mappings for framework endpoint paths. |
| 从类 org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping 继承的方法 |
|---|
getCustomMethodCondition, getCustomTypeCondition, setUseSuffixPatternMatch, setUseTrailingSlashMatch, useSuffixPatternMatch, useTrailingSlashMatch |
| 从类 org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping 继承的方法 |
|---|
getMappingComparator, getMappingPathPatterns, getMatchingMapping, handleMatch, handleNoMatch |
| 从类 org.springframework.web.servlet.handler.AbstractHandlerMethodMapping 继承的方法 |
|---|
afterPropertiesSet, detectHandlerMethods, getHandlerInternal, getHandlerMethods, handlerMethodsInitialized, initHandlerMethods, lookupHandlerMethod, registerHandlerMethod, setDetectHandlerMethodsInAncestorContexts |
| 从类 org.springframework.web.servlet.handler.AbstractHandlerMapping 继承的方法 |
|---|
adaptInterceptor, detectMappedInterceptors, extendInterceptors, getAdaptedInterceptors, getDefaultHandler, getHandler, getHandlerExecutionChain, getMappedInterceptors, getOrder, getPathMatcher, getUrlPathHelper, initApplicationContext, initInterceptors, setAlwaysUseFullPath, setDefaultHandler, setInterceptors, setOrder, setPathMatcher, setUrlDecode, setUrlPathHelper |
| 从类 org.springframework.web.context.support.WebApplicationObjectSupport 继承的方法 |
|---|
getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext |
| 从类 org.springframework.context.support.ApplicationObjectSupport 继承的方法 |
|---|
getApplicationContext, getMessageSourceAccessor, requiredContextClass, setApplicationContext |
| 从类 java.lang.Object 继承的方法 |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| 构造方法详细信息 |
|---|
public FrameworkEndpointHandlerMapping()
| 方法详细信息 |
|---|
public void setMappings(Map<String,String> patternMap)
mappings - the mappings to setpublic void setApprovalParameter(String approvalParameter)
AuthorizationRequest#USER_OAUTH_APPROVAL.
approvalParameter - the approvalParameter to setprotected boolean isHandler(Class<?> beanType)
org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping 中的 isHandlerRequestMappingHandlerMapping.isHandler(java.lang.Class)
protected org.springframework.web.servlet.mvc.method.RequestMappingInfo getMappingForMethod(Method method,
Class<?> handlerType)
org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping 中的 getMappingForMethod
|
||||||||||
| 上一个类 下一个类 | 框架 无框架 | |||||||||
| 摘要: 嵌套 | 字段 | 构造方法 | 方法 | 详细信息: 字段 | 构造方法 | 方法 | |||||||||